OpenCV: cv::cudev::NormL1< float > Struct Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | Public Member Functions | Public Attributes | List of all members
cv::cudev::NormL1< float > Struct Template Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Device layer

`#include "vec_distance.hpp"`

## Public Types
typedef float | result_type
typedef float | value_type

## Public Member Functions
__device__ __forceinline__ | NormL1 ()
__device__ __forceinline__ | operator result_type () const
template<int THREAD_DIM>
__device__ __forceinline__ void | reduceBlock (result_type *smem, uint tid)
__device__ __forceinline__ void | reduceThread (value_type val1, value_type val2)
__device__ __forceinline__ void | reduceWarp (result_type *smem, uint tid)

## Public Attributes
result_type | mySum

## Member Typedef Documentation

## ◆ result_type

typedef float cv::cudev::NormL1< float >::result_type

## ◆ value_type

typedef float cv::cudev::NormL1< float >::value_type

## Constructor & Destructor Documentation

## ◆ NormL1()

__device__ __forceinline__ cv::cudev::NormL1< float >::NormL1 | ( |  | ) |
| inline

## Member Function Documentation

## ◆ operator result_type()

__device__ __forceinline__ cv::cudev::NormL1< float >::operator result_type | ( |  | ) | const
| inline

## ◆ reduceBlock()

template<int THREAD_DIM>

__device__ __forceinline__ void cv::cudev::NormL1< float >::reduceBlock | ( | result_type * | smem,
|  | uint | tid
| ) |  |
| inline

## ◆ reduceThread()

__device__ __forceinline__ void cv::cudev::NormL1< float >::reduceThread | ( | value_type | val1,
|  | value_type | val2
| ) |  |
| inline

## ◆ reduceWarp()

__device__ __forceinline__ void cv::cudev::NormL1< float >::reduceWarp | ( | result_type * | smem,
|  | uint | tid
| ) |  |
| inline

## Member Data Documentation

## ◆ mySum

result_type cv::cudev::NormL1< float >::mySum

The documentation for this struct was generated from the following file:

- cudev/include/opencv2/cudev/block/vec_distance.hpp